<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: mqtt_InitTypeDef Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmqtt__InitTypeDef-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mqtt_InitTypeDef Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a445b1cf3703342f5291d6423d2498b67"><td class="memItemLeft" align="right" valign="top"><a id="a445b1cf3703342f5291d6423d2498b67"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>ip</b></td></tr>
<tr class="separator:a445b1cf3703342f5291d6423d2498b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a967e776f054609c9ae5dd3d5ee1cc7df"><td class="memItemLeft" align="right" valign="top"><a id="a967e776f054609c9ae5dd3d5ee1cc7df"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>port</b></td></tr>
<tr class="separator:a967e776f054609c9ae5dd3d5ee1cc7df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57df8da075f5064160d4bfb6760c3f6"><td class="memItemLeft" align="right" valign="top"><a id="ac57df8da075f5064160d4bfb6760c3f6"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>user</b></td></tr>
<tr class="separator:ac57df8da075f5064160d4bfb6760c3f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6adcbcc781556f8292ae8b397fdc1441"><td class="memItemLeft" align="right" valign="top"><a id="a6adcbcc781556f8292ae8b397fdc1441"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>pass</b></td></tr>
<tr class="separator:a6adcbcc781556f8292ae8b397fdc1441"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cdb6f0bed7622ba7bf7bc160af6cc6f"><td class="memItemLeft" align="right" valign="top"><a id="a7cdb6f0bed7622ba7bf7bc160af6cc6f"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>id</b></td></tr>
<tr class="separator:a7cdb6f0bed7622ba7bf7bc160af6cc6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa43932cb580512f7537641056a816e62"><td class="memItemLeft" align="right" valign="top"><a id="aa43932cb580512f7537641056a816e62"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>willTopic</b></td></tr>
<tr class="separator:aa43932cb580512f7537641056a816e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9370bda4eb16e4ef69e967b8d8f335e4"><td class="memItemLeft" align="right" valign="top"><a id="a9370bda4eb16e4ef69e967b8d8f335e4"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><b>willQos</b></td></tr>
<tr class="separator:a9370bda4eb16e4ef69e967b8d8f335e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30296304185f1f033c30149903764f1"><td class="memItemLeft" align="right" valign="top"><a id="ad30296304185f1f033c30149903764f1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>willRetain</b></td></tr>
<tr class="separator:ad30296304185f1f033c30149903764f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3233ba2b6344e7336a0f929b06d18145"><td class="memItemLeft" align="right" valign="top"><a id="a3233ba2b6344e7336a0f929b06d18145"></a>
const char *&#160;</td><td class="memItemRight" valign="bottom"><b>willMessage</b></td></tr>
<tr class="separator:a3233ba2b6344e7336a0f929b06d18145"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="PubSubClient_8h_source.html">PubSubClient.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
